Subject: python-pivy build fails (freecad dependency)

From: Buttons Presser <[email-masked]>
Date: Wed, 01 May 2024 17:18:30 +0200

Dear guix community,

My local python-pivy build fails and there is no longer a working substitute available.

The build log is attached (q806khpbab7n9nk9i6ynbfhm85gd48-python-pivy-0.6.5.drv.gz).

I suspect that python-pivy stoped building after recent patches to coin3d - https://issues.guix.gnu.org/70305

Looks like this is an issue with paths in the python-pivy install scripts (build phase: python setup.py). Specifically in its swig command which probably misses some paths to soqt and coin3D.

I was trying to fix and upgrade the python-pivy before because the current version  is 0.6.5 is old and some features of freecad was not working properly - https://issues.guix.gnu.org/70258. I guess there should be a patch to the python-pivy cmake config that can fix the paths to soqt and coin3D but I am not familiar with cmake and thus far did not find a solution.

Kind regards,
BP